Subject: problem with one controller
From: <[email-masked]>
To: <[email-masked]>
Date: Mon, 28 Mar 2022 20:25:52 -0600

Awhile back I had a problem with my Beauty Rest heated mattress pad.  A very
awesome lady by the name of "Erlinda" helped me with the problem and
everything worked perfect.  Now one side stays on for a few minutes, then it
shuts off, and a single light blinks for a short period and then it shuts
down.  I switched controllers and it worked fine so I am thinking I just
need another controller.  Have have unplugged the whole thing and did
everything by the book to try to fix it but the one side continues to shut
down.  Could you PLEASE send me a controller and see if that fixes it?  I
would appreciate your help.  Thanks again and have a wonderful day.

Jeff Britegam 

19159 E. Hollow Creek Lane

Parker CO.  80134

720-244-1136